Redmine - Defect #7172

{{toc}} macro doesn't work with 00000000000
2010-12-25 03:09 - TANUKI M

Status: Closed Start date: 2010-12-25
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Wiki Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version:

Description

In my environment (1.0.5), {{toc}} doesn't render headers after 10000000000.
hl. aaa

{{>toc}}

etc

h2. bbb

<pre>
</pre>

h2. ccc
etc
h2. ddd

ccc, ddd don't appear.

aaa
bbb

Related issues:
Has duplicate Redmine - Defect #7183: Svn 4376 breaks table of contents with ... Closed 2010-12-27

Associated revisions

Revision 4578 - 2010-12-29 19:21 - Jean-Philippe Lang

Fixed: partial toc when text contains pre tags (#7172).

History

#1 - 2010-12-27 10:59 - Felix Schéfer

Can't reproduce, could you try on the http://demo.redmine.orq if it behaves as intended or not?

#2 - 2010-12-28 09:43 - Felix Schifer

- Status changed from New to Closed

Already reported in #7172, thanks nontheless.

#3 - 2010-12-28 09:47 - Felix Schifer

- Status changed from Closed to Reopened

Sorry, got the relation in the wrong order.

Anyway, | was able to confirm this on my local devel environment.
#7183 holds a little more info, especially which commit probably broke this.

#4 - 2010-12-29 19:22 - Jean-Philippe Lang
- Status changed from Reopened to Closed

- Resolution set to Fixed

The diagnostic in #7183 was correct. Fixed with test in r4578.
